This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025239 - [audit2allow] compilation failed: checkmodule not found
[audit2allow] compilation failed: checkmodule not found
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 06:01 EDT by Kevin Raymond
Modified: 2014-01-09 02:39 EST (History)
10 users (show)

See Also:
Fixed In Version: policycoreutils-2.2.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 02:39:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Raymond 2013-10-31 06:01:45 EDT
abrt-2.1.9-1.fc20.x86_64
audit-2.3.2-1.fc20.x86_64

I got the following report:

SELinux is preventing /usr/bin/gdb from using the ptrace access on a process.

Alright, wanting to give the permissions for this session, I am reading

# grep gdb /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

As the command to use. But the first command returns me:
compilation failed:
sh: /usr/bin/checkmodule: No such file or directory
Comment 1 Kevin Raymond 2013-10-31 06:08:41 EDT
Shouldn't the checkpolicy package providing checkmodule be required by abrt?
Comment 2 Michal Toman 2013-10-31 06:17:53 EDT
SELinux errors may be generated by any application, not just abrt.

The dependency should be in policycoreutils package which contains audit2allow and semodule commands. Reassigning.
Comment 3 Dale Snell 2013-10-31 15:40:52 EDT
I also got the "sh: /usr/bin/checkmodule: No such file or directory" error message when trying to compile a new SELinux policy module.  ABRT was not involved.

I installed selinux-policy-devel.noarch and selinux-policy-doc.noarch, plus their dependencies, which fixed the "missing checkmodule" problem.
Comment 4 Simon Grushka 2013-12-30 13:34:26 EST
This bug still appears on the freshly installed system (f20 as well as- AFAIK- F19); one can solve it by installing checkpolicy package.
Comment 5 Daniel Walsh 2014-01-02 14:53:02 EST
Fixed in policycoreutils-2.2.4-6.fc20
Comment 6 Fedora Update System 2014-01-02 15:42:04 EST
policycoreutils-2.2.4-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/policycoreutils-2.2.4-6.fc20
Comment 7 Fedora Update System 2014-01-03 03:40:59 EST
Package policycoreutils-2.2.4-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.2.4-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0088/policycoreutils-2.2.4-6.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-01-07 04:42:55 EST
Package policycoreutils-2.2.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.2.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0088/policycoreutils-2.2.5-1.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-01-09 02:39:58 EST
policycoreutils-2.2.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.